
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #874

openmpt:Reduce libopenmpt version requirement (patch included)

February 23, 2019 06:29 - Jim Turner

Status: Closed Start date: February 23, 2019

Priority: Trivial Due date:  

Assignee:  % Done: 100%

Category: plugins/openmpt Estimated time: 0.00 hour

Target version: 4.0   

Affects version: 4.0   

Description

It looks like only one function requires v0.3, whereas Debian Stretch has v0.2.7x, and that a small change would allow building for

Stretch.  The request is to enable building and using the new openmpt plugin on Stretch-ish (additional) platforms.

I have both a Stretch and a Buster box, and was building first on Stretch and was successful in both instances with this small change,

however I have very limited of sound files to test it with, but it seems to work.  In addition to the patch, configure.ac:line#266 will need

changing to:  "libopenmpt >= 0.2)". Please review.

Thanks,

Jim

History

#1 - March 02, 2019 15:04 - John Lindgren

Looks good, thanks.

https://github.com/audacious-media-player/audacious-plugins/commit/3f007739eb9911636096f26019114a31690a11a4

#2 - March 02, 2019 15:04 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

- Category set to plugins/openmpt

Files

mptwrap.cc.diff 805 Bytes February 23, 2019 Jim Turner
